## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.10.0
%bcond_without check
%global debug_package %{nil}

# https://github.com/projectdiscovery/retryabledns
%global goipath         github.com/projectdiscovery/retryabledns
Version:                1.0.71

%gometa -L -f

%global common_description %{expand:
Retryable DNS client in Go.}

%global golicenses      LICENSE.md
%global godocs          README.md

Name:           golang-github-projectdiscovery-retryabledns
Release:        %autorelease
Summary:        Retryable DNS client in Go

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
# test require network
for test in "TestConsistentResolve" "TestUDP" "TestTCP" "TestDOH" "TestDOT" \
            "TestQueryMultiple" "TestResolvers" "TestDialerLocalAddr" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Sun Aug 11 2024 Packit <hello@packit.dev> - 1.0.71-1
- Update to 1.0.71 upstream release
- Resolves: rhbz#2302685

* Tue Jul 30 2024 Packit <hello@packit.dev> - 1.0.69-1
- Update to 1.0.69 upstream release
- Resolves: rhbz#2301449

* Tue Jul 23 2024 Packit <hello@packit.dev> - 1.0.68-1
- Update to 1.0.68 upstream release
- Resolves: rhbz#2299424

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.67-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Packit <hello@packit.dev> - 1.0.67-1
- Update to 1.0.67 upstream release
- Resolves: rhbz#2298057

* Mon Jul 08 2024 Packit <hello@packit.dev> - 1.0.66-1
- Update to 1.0.66 upstream release
- Resolves: rhbz#2296246

* Sun Jun 23 2024 Packit <hello@packit.dev> - 1.0.65-1
- Update to 1.0.65 upstream release
- Resolves: rhbz#2292570

* Sun Jun 09 2024 Packit <hello@packit.dev> - 1.0.63-1
- Update to 1.0.63 upstream release
- Resolves: rhbz#2291064

* Mon Jun 03 2024 Packit <hello@packit.dev> - 1.0.62-1
- Update to 1.0.62 upstream release
- Resolves: rhbz#2279130

* Sun Mar 03 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.58-1
- Update to 1.0.58 - Closes rhbz#2229540

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.32-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 30 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.32-2
- Skip test requiring network - Closes rhbz#2188923

* Sun Jul 30 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.32-1
- Update to 1.0.32 - Closes rhbz#2188923

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Feb 14 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.21-1
- Update to 1.0.21 - Closes rhbz#2136711

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Aug 19 2022 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.15-1
- Update to latest upstream release 1.0.15 (closes rhbz#2111551)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 02 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.13-1
- Update to 1.0.13 - Closes rhbz#2060623

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.12-1
- Update to latest upstream release 1.0.12 (rhbz#1963517)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Dec 27 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.5-1
- Update to latest upstream release 1.0.5

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 24 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.4-1
- Initial package

## END: Generated by rpmautospec
